/* ======================================================
HERO EXPERIENCIAS
====================================================== */

.gs-experiencia-hero {
    position: relative;
    height: 260px;
    display: flex;
    align-items: flex-end;
    overflow: hidden;
}

/* Fondo */
.gs-experiencia-hero-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.gs-experiencia-hero-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Overlay */
.gs-experiencia-hero-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(
        90deg,
        rgba(0, 0, 0, 0.6) 0%,
        rgba(0, 0, 0, 0.4) 40%,
        rgba(0, 0, 0, 0.2) 70%,
        rgba(0, 0, 0, 0) 100%
    );
}

/* Container */
.gs-experiencia-hero-container {
    position: relative;
    width: 90%;
    max-width: var(--container-width);
    margin: 0 auto 30px auto;
    z-index: 2;
}

/* Contenido */
.gs-experiencia-hero-content {
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: #fff;
}

/* Acciones (like + badge) */
.gs-experiencia-hero-actions {
    display: flex;
    align-items: center;
    gap: 10px;
}

/* Título */
.gs-experiencia-hero-title {
    font-size:var(--text-xl);
    font-weight: 700;
    line-height: 1.2;
    margin: 0;
}

/* =========================================================
CONTENIDO EXPERIENCIA
========================================================= */

.gs-experiencia-contenido {
    padding: var(--space-xl) 0;
}

/* GRID */
.gs-experiencia-grid {
    display: grid;
    grid-template-columns: 2fr 1.2fr;
    gap: 40px;
    align-items: start;
}

/* MAIN */
.gs-experiencia-main {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

/* =========================================================
SIDEBAR EXPERIENCIA
========================================================= */

.gs-experiencia-sidebar {
    position: sticky;
    top: 130px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* =========================================================
BLOQUES DE CONTENIDO
========================================================= */

.gs-experiencia-box {
    background: #fff;
    padding: var(--space-lg);
    border-radius: var(--radius-sm);
    color: var(--color-text-cafe);
}

/* TITULOS */
.gs-experiencia-section-title {
    font-size: var(--text-lg);
    font-weight: var(--font-semibold);
    margin-bottom: var(--space-md);
    color: var(--color-text-cafe);
}

@media (max-width: 900px) {

    .gs-experiencia-grid {
        grid-template-columns: 1fr;
    }

    .gs-experiencia-sidebar {
        position: relative;
        top: auto;
    }
}